> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v2/card



## OpenAPI

````yaml GET /v2/card
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v2/card:
    get:
      tags:
        - card
      summary: Get list of cards
      parameters:
        - in: query
          name: walletId
          schema:
            type: string
        - in: query
          name: status[]
          schema:
            default: []
            type: array
            items:
              type: string
              enum:
                - PROCESS
                - ORDERED
                - DISPATCHED
                - ACTIVE
                - BLOCKED
                - CLOSED
        - in: query
          name: type[]
          schema:
            default: []
            type: array
            items:
              type: string
              enum:
                - ChipAndPin
                - Virtual
                - Disposable
          style: form
          explode: true
        - $ref: '#/components/parameters/PageNum'
        - $ref: '#/components/parameters/PerPage'
        - $ref: '#/components/parameters/Sort'
      responses:
        '200':
          description: OK
          headers:
            x-pagination-current-page:
              $ref: '#/components/headers/x-pagination-current-page'
            x-pagination-page-count:
              $ref: '#/components/headers/x-pagination-page-count'
            x-pagination-per-page:
              $ref: '#/components/headers/x-pagination-per-page'
            x-pagination-total-count:
              $ref: '#/components/headers/x-pagination-total-count'
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CardV2'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
      security:
        - bearerAuth: []
components:
  parameters:
    PageNum:
      name: page
      in: query
      schema:
        type: integer
    PerPage:
      name: per-page
      in: query
      schema:
        type: integer
    Sort:
      name: sort
      in: query
      description: |-
        Enter a field name to sort by (with a minus to sort desc):

          id: sort asc
          -id: sort desc
      schema:
        type: string
  headers:
    x-pagination-current-page:
      description: Current page
      schema:
        type: integer
        default: 1
    x-pagination-page-count:
      description: Pages count
      schema:
        type: integer
        example: 6
    x-pagination-per-page:
      description: Items count per page
      schema:
        type: integer
        default: 20
        example: 20
        maximum: 100
        minimum: 1
    x-pagination-total-count:
      description: Total items count
      schema:
        type: integer
        example: 113
  schemas:
    CardV2:
      type: object
      properties:
        id:
          type: string
          description: Unique Card id (UUID string)
          readOnly: true
        walletId:
          type: string
          description: Wallet UUID
          readOnly: true
        type:
          type: string
          readOnly: true
          enum:
            - ChipAndPin
            - Virtual
            - Disposable
        maskedPan:
          type: string
          description: Masked Card Number
          example: 474359******5050
          readOnly: true
        status:
          type: string
          description: Card status
          enum:
            - PROCESS
            - ORDERED
            - DISPATCHED
            - ACTIVE
            - BLOCKED
            - CLOSED
        validUntilDate:
          type: string
          readOnly: true
        cardholderName:
          type: string
          description: Cardholder name
        notification:
          type:
            - object
            - 'null'
          properties:
            type:
              enum:
                - ERROR
                - WARNING
                - INFO
              type: string
            title:
              type: string
            message:
              type: string
        orderInfo:
          type:
            - object
            - 'null'
          properties:
            title:
              type:
                - string
                - 'null'
            message:
              type:
                - string
                - 'null'
            orderedAt:
              type: integer
              description: Timestamp in seconds
            dispatchedAt:
              type:
                - integer
                - 'null'
              description: Timestamp in seconds
            delivery:
              type:
                - object
                - 'null'
        permissions:
          type: object
          description: List of true\false permissions
          readOnly: true
          properties:
            canActivate:
              type: boolean
            canBlock:
              type: boolean
            canUnblock:
              type: boolean
            canGetPin:
              type: boolean
            canSetPin:
              type: boolean
            canGetCvv:
              type: boolean
            canGetPassword:
              type: boolean
            canSetPassword:
              type: boolean
            canGetPan:
              type: boolean
            canClose:
              type: boolean
            canSetSmsBalanceNotification:
              type: boolean
            canGetLimits:
              type: boolean
            canSetLimits:
              type: boolean
            canGetOperations:
              type: boolean
            canSetOperations:
              type: boolean
        updatedAt:
          type: integer
          description: Updated timestamp in seconds
          example: 1666666666
        isSmsBalanceNotification:
          type: boolean
          description: Is Payment Balance Sms Notification Enabled
          example: false
        designId:
          type: string
          description: Design Id code
          example: AIV
        version:
          type: integer
          description: The latest version of the update
          example: 1
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Bad Request
              message:
                type: string
              status:
                type: integer
                example: 400
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Forbidden
              message:
                type: string
                example: String
              status:
                type: integer
                example: 403
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````